#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
const int N = 1e6 + 12, INF = 1e18 + 7;
vector<int> solve(vector<int> A) {
	vector<int>res;
	int ok = (int)A.size() / 2;
	if((int)A.size() % 2 == 1){
		ok += 1;
	}
	swap(A[ok - 1], A[(int)A.size() - 1]);
	return A;
}
